Connecté mon Samsung Galaxy note 3 à eclipse [Résolu]

Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
- - Dernière réponse : sabrina1992
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
- 19 févr. 2014 à 14:50
Bonjour,
j'essaye de développé une application androïde avec le sdk d'androïde, seulement je rencontre trop de problèmes avec l'AVD pour pouvoir testé chaque modification(bug, temps interminable d'attente à chaque fois ect...).
Cela fait plusieurs jours que je tente de connecter mon Samsung Galaxy note 3 (SM-N9005 version avec la vertion android 4.3 ) à la place sous éclipse mais ce dernier ne le detect null part .

PS: J'ai téléchargé Kies 3 beta tous est à jour, mon téléphone est détecté par mon ordi portable.


Merci
Afficher la suite 

Votre réponse

12 réponses

Meilleure réponse
Messages postés
14288
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
14 décembre 2018
1
Merci
Hello,

Plusieurs remarques:
- on écrit Android et non androïde. Eclipse est capricieux...bon, ok, JE suis capricieux ^^
- il faut activer le débogage USB sur ton téléphone: Paramètres > Options pour les développeurs > Débogage USB

Dire « Merci » 1

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

Codes Sources a aidé 105 internautes ce mois-ci

Commenter la réponse de BunoCS
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
Rebonjour,
alors c'est activé maintenant, seulement qu'elle est la procédure pour compilé mon programme justement sur mon Samsung, en effet je ne le trouve pas à coté des AVD.

Merci infiniment.

PS: Franchement moi je voulais mettre "Android" normal comme d'habitude, mais j'ai préféré faire confiance à cette saleté de correcteur d'orthographe, lool.
Commenter la réponse de sabrina1992
Messages postés
14288
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
14 décembre 2018
0
Merci
La procédure est simple. Tu as juste à cliquer sur le bouton Run dans Eclipse.
Au préalable, assures-toi que adb ait bien détecté ton téléphone: tu ouvres une console et tu tapes:
adb devices

Ceci devrait te lister la liste des devices détectés dont, j'ose espérer, ton Galaxy.

Remarques complémentaires:
- pour le dev Android, utiliser les AVD est contre-productif, comme tu as pu t'en rendre compte. Soit tu utilises directement un vrai téléphone, soit tu peux regarder sur côté de GenyMotion
- un peu de délicatesse quand tu parles de tes ressources informatiques ;) Ta machine est comme une femme: faut lui parler tendrement, ne pas la brusquer et....bref, tu me comprends ;)
Commenter la réponse de BunoCS
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
Salut,
oui mais sous windows on fait comment?
J'ai essayer de faire un APK mais au moment de l'installé sur mon portable j'ai le message "Problème lors de l'analyse de l'ensemble" en sachant que j'ai suivie les instructions du site
http://fr.openclassrooms.com/forum/sujet/android-erreur-d-analyse-52181

sauf que moi j'ai mis version 18 sur Manifest.xml.



De l'aide?
:'(
BunoCS
Messages postés
14288
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
14 décembre 2018
-
Sous Windows:
- tu ouvres l'invite de commande pour vérifier (ou Démarrer > Exécuter > tape 'cmd' sans les guillemets)
- pour mettre l'apk sur ton téléphone, c'est Eclipse qui gère

J'ai oublié de te préciser d'autoriser les sources inconnues: Paramètres>Applications et coche Sources inconnues

C'est ok pour l'API puisque ton tel est en 4.3 (API 18). Fais voir ton manifest?
Commenter la réponse de sabrina1992
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
Salut,
on est bien d'accord que console, l'équivalent c'est "Invite de commandes"? Parce que sinon c'est pas la même.
merci
Commenter la réponse de sabrina1992
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
Voici mon manifest:
<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
package="com.Sabrina"
android:versionCode="1"
android:versionName="1.0" >

<uses-sdk
android:minSdkVersion="18"
android:targetSdkVersion="18" />

<application
android:allowBackup="true"
android:icon="@drawable/ic_launcher"
android:label="@string/app_name"
android:theme="@style/AppTheme" >
<activity
android:name="com.Sabrina.MainActivity"
android:label="@string/app_name" >
<intent-filter>
<action android:name="android.intent.action.MAIN" />

<category android:name="android.intent.category.LAUNCHER" />
</intent-filter>
</activity>
</application>

</manifest>


PS: -j'ai bien autorisé les sources inconnues
-j'ai un warning au niveau de la balise "<uses-sdk" qui est:

"Not targeting the latest versions of Android; compatibility modes apply. Consider testing and updating this version. Consult the
android.os.Build.VERSION_CODES javadoc for details."

mais je ne pense pas que ce soit important.

Merci
Commenter la réponse de sabrina1992
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
Et au sujet de la commande adb elle n'est pas reconnue par l'invite de commandes d'où mon message #4.
Commenter la réponse de sabrina1992
Messages postés
14288
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
14 décembre 2018
0
Merci
OK.

Pour la commance adb, ce n'est pas trop grave: il faut la rajouter dans les variables d'environnement. Si tu ne sais pas faire, tu peux regarder dans Eclipse, onglet DDMS, dans la vue Device (de mémoire) que tu vois bien ton tel.

Pour le warning sur le use-sdk, ce n'est pas grave: cela te dit que tu ne cibles pas la dernière version d'Android. D'ailleurs, d'après ta config, tu vises 4.3 et +

Au niveau du nom de package, il faut éviter les majuscules. Voici les conventions de nommage des packages Java

Tu as quoi dans ton Build Path? Project » Properties » Java Build Path » Libraries
Commenter la réponse de BunoCS
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
Suis-je dans une impasse?
Commenter la réponse de sabrina1992
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
Bonjour,
Je vient de faire appelle à l'aide d'un camarade qui a eu à coché la case Débogage USB dans Option de développement.
Puis on à redémarré éclipsé et compilé et ça a marche pas eu besoin d'APK.

Merci
BunoCS
Messages postés
14288
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
14 décembre 2018
-
Ce n'est pas de ce que je t'avais indiqué?
Bon, l'important est que tu aies réussi...

pas eu besoin d'APK
Si, mais c'est Eclipse qui le déploie pour toi ;)

Je passe le topic en "Résolu"
Commenter la réponse de sabrina1992
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
Le paradis du développement android que de testé sur son propre mobile...
lool
BunoCS
Messages postés
14288
Date d'inscription
lundi 11 juillet 2005
Statut
Modérateur
Dernière intervention
14 décembre 2018
-
Tout à fait d'accord ;)
Attention toutefois à ne pas trop jouer avec les API bas niveau risquant d'abîmer ton téléphone ;)
sabrina1992
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
-
noté
Commenter la réponse de sabrina1992
Messages postés
14
Date d'inscription
mardi 18 février 2014
Dernière intervention
5 août 2014
0
Merci
certe
Commenter la réponse de sabrina1992

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.